---
schema_version: "1"
id: 23341640e264d50acfac02050f168b167887a2e5b34e49393ea0437fc9454d9a
title: Trigger Process Rules
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-process-rules-trigger.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-process-rules-trigger.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 297c1b96a01714a52854b297fbd5861ccbc3e12c14f3d64d2a1fdaffa23f4344
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Trigger Process Rules

Use the Process Rules resource to trigger process rules. All rules associated with the specified ID will be evaluated, regardless of the evaluation criteria. All IDs must be for records on the same object.

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/rules/ -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @rules.json"
```

## Example request body rules.json file

```nolang
{
  "contextIds" : [
    "001D000000JRWBd",
    "001D000000I8mIm",
    "001D000000I8aaf"]
}
```

## Example JSON response body

```nolang

{
  "errors" : null,
  "success" : true
}
```

